Subject: Re: [Raven] Fly away, raven

From: Vernon Schryver <[email-masked]>
Date: Fri, 29 Oct 1999 11:38:07 -0600 (MDT)

> From: Grenville Armitage <[email-masked]>

> > Ok, let's only consider law-abiding LEAs.
> > 
> >   - What law now or might ever require LEAs to prefer or need to use
> >      auditable taps?
>
> Who cares? Not germane to the question facing this group.

You have been saying the question for this mailinglist is "what should
the IETF do?"  If there is no reason to expect LEAs or equipment vendors
to care about an IETF standard, then the rational answer is "nothing."

> >   - Since tcpdump, netmon, and other ac hoc as well as standardized (e.g.
> >      RMON), non-auditing tapping facilities will always be available on
> >      the all wires that have auditable taps and many more wires that don't
> >      have auditable taps, why would any LEAs, including those who follow
> >      the letter and spirit of all laws, prefer auditable taps?
>
> Who cares? Not germane to the question facing this group.

Ditto.

> >      Auditable taps will always carry the danger of embarrassing their
> >      users.  People know they make mistakes, and few prefer to make their
> >      innocent mistakes on tape.
>
> And that observation helps the IESG how?

It implies that users will avoid using implementations of an audiable tap
standard.  If no one would use an auditable tapping standard, then the
IETF should not create it.

> >   - Since tcpdump and RMON will always be available, why will equipment
> >      makers bother implementing auditing hooks in any new monitoring
> >      protocols?  If they do implement them, why will they go to the very
> >      large effort to ensure that the auditing is reasonably secure instead
> >      of like the familiar "unbreakable security one time pad random number
> >      generator" snake-oil sold as encryption?
>
> That's their implementation problem. Again, not germane to the
> question facing this group.

If no equipment vendor will bother to produce a good implementation of a
standard, then the standard is at best broken, and probably should not be
started, and certainly should not be advanced past Experimental.

> > 	[..] I'm now reading
> > "never mind that the notion of auditable and unmonitored taps side by side
> > on the same wires makes as much sense as auditing only half of a company's
> > books; LEAs will use only auditable taps."
>
> You're not reading my mails (I can't speak for those of other's) very well
> then. I dont really care how many scenarios we can concoct where 'people'
> will ignore (or break) an inconvenient auditing spec. Just whether the
> IESG could walk a middle ground between yays and nays by asserting it
> will only allow the IETF 'stamp of consensus' on specs that have audit
> trail capabilities as default. Anything other discussions, tangents, and
> utopian societies are, in the context of this raven list, is just
> so much grandstanding.

There is no such middle ground except in the dreamlands where standards
matter regardless of whether anyone implements them or anyone uses an
implementation.

Besides, the official IETF 'stamp of consensus' is already on non-auditable
specs; RMON is an IETF standard.  The de facto IETF 'stamp of consensus'
is on tcpdump.   You can say those two facts are wrong, bad, undemocratic,
or other naughty things, but unless you can offer some evidence that those
two facts might ever change, any talk about the IETF producing an auditable
tapping standard is bogus.

> Get a focus, people.

That's a good idea, but it requires looking at reality, not the siren
call of playing in a working group whose standards will be ignored by
both vendors and the users for which it is supposedly intended.

Again, the Ident and TAP silliness of several years ago was much the same
as the current talk about the IETF working on protocols that practically
all of us (I think including you) agree are bad ideas that should not be
used, that would be unpopular with the putative users, and that cannot be
used in the long run due to end-to-end encryption.

Vernon Schryver    [email-masked]

_______________________________________________
raven mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/raven

---

From: Grenville Armitage <[email-masked]>
Date: Fri, 29 Oct 1999 11:17:35 -0700

> to care about an IETF standard, then the rational answer is "nothing."

I'm working on the premise that at least one vendor's representatives
have lobbied the IESG for this sort of spec. As I mentioned before,
this need not have any relationship to whether an LEA will be
legally obliged to use equipment built to the spec under current
legal conditions.

But okay, I'll bite on the question. I expect that "law abiding" LEAs
will use an auditable tap when the law makers figure out it is possible
to define such a thing _and_ make it a requirement for legally admissable
evidence in court.

Now before people rant _yet again_ about how such things can be
corrupted or avoided or all sorts of nasty things, I re-state that
such observations are irrelevant. Today most enlightened societies
have a notion of illegal search, and on the basis of a search's
illegality evidence can be thrown out. I dont care to tackle the
overarching problem of preventing illegal searches from ever occuring.

What the IETF can do is prove to lawmakers that auditable taps
can be built into VoIP technology. And once the more libertarian
law _makers_ figure out it is possible to audit VoIP wiretaps, they'll
be able to insist the audit trail is a requirement when VoIP
taps are presented as evidence in court.

Again, I don't care to go down a rut arguing about BadGuys(tm)
conspiring to pervert such laws. Happens all the time. Only interested
in whether IETF work can provide more tools to law _makers_ who
(sometimes at least) are interested in constraining the actions
that LEAs can take to dredge up admissable evidence for use in court.

	[..]
> is on tcpdump.

Which is pretty funny, consider the libertarian nature of most of
us. We all trust our ISP, but not our government ;)

I think we both agree that raw packet traces are not the real
question here - its our ability to encrypt and have someone
else anonymously decrypt the intercepted transmission here.
There is an avenue for the IESG to establish minimum standards
for protocols supporting anonymous (N+1)th parties to an existing set
of participants. That's the correct statement of the technical
problem. There's a value in proving to lawmakers that such things
can exist. That's the political angle. Let the politicians deal
with writing laws on admissability of evidence, and let the population
get on with encrypting themselves against BadGuys.

	[..]
> both vendors and the users for which it is supposedly intended.

Observing that everyone will go to the lowest common denominator
isn't instructive or revealing, since we clearly disagree on where
the lowest common denominator is. _If_ vendors believe there is a
need for wiretapping specs, I say the IESG should refuse to sanction
specs that doesn't have audit trails defined within it. If that means
WGs are cut of before they are formed, I'm entirely comfortable with
that too.

cheers,
gja

---

From: Johnny Eriksson <[email-masked]>
Date: Sat, 30 Oct 1999 01:36:38 +0200 (MET DST)

> us. We all trust our ISP, but not our government ;)

On the other hand, it's (usually) a lot easier to switch ISP when you
need to...

--Johnny